[tox]
envlist =
    py37,
    py38,
    py39,
    pypy3,
skipsdist = True

[testenv]
commands =
    pip install --quiet --upgrade \
        -r requirements.d/base.txt
    python -m pip uninstall --yes \
        mosaik-api mosaik.API_SemVer \
        mosaik mosaik.Core_SemVer \
        simpy.io SimPy.IO-SemVer
    python -m pip install --quiet --upgrade \
        mosaik.Core-SemVer==2.5.3rc20201202042424 \
        mosaik.API-SemVer==2.4.2rc20201202043229 \
        SimPy.IO-SemVer==0.2.4rc20201202024836
    pytest \
        --cov=mosaik_simconfig \
        --cov-branch \
        --durations=0 \
        --verbose
